beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_PostCommit_Python_Verify #3155
Date Mon, 18 Sep 2017 12:49:56 GMT
See <https://builds.apache.org/job/beam_PostCommit_Python_Verify/3155/display/redirect?page=changes>

Changes:

[echauchot] [BEAM-2957] Fix flaky ElasticsearchIOTest.testSplit in

------------------------------------------
[...truncated 458.12 KB...]
test_type_check_valid_composite_types (apache_beam.typehints.typehints_test.TupleHintTestCase)
... ok
test_type_check_valid_simple_type_arbitrary_length (apache_beam.typehints.typehints_test.TupleHintTestCase)
... ok
test_type_check_valid_simple_types (apache_beam.typehints.typehints_test.TupleHintTestCase)
... ok
test_getitem_duplicates_ignored (apache_beam.typehints.typehints_test.UnionHintTestCase) ...
ok
test_getitem_must_be_valid_type_param (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_getitem_must_be_valid_type_param_cant_be_object_instance (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_getitem_nested_unions_flattened (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_nested_compatibility (apache_beam.typehints.typehints_test.UnionHintTestCase) ... ok
test_union_hint_compatibility (apache_beam.typehints.typehints_test.UnionHintTestCase) ...
ok
test_union_hint_enforcement_composite_type_in_union (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_union_hint_enforcement_not_part_of_union (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_union_hint_enforcement_part_of_union (apache_beam.typehints.typehints_test.UnionHintTestCase)
... ok
test_union_hint_repr (apache_beam.typehints.typehints_test.UnionHintTestCase) ... ok
test_deprecated_with_since_current (apache_beam.utils.annotations_test.AnnotationTests) ...
ok
test_deprecated_with_since_current_message (apache_beam.utils.annotations_test.AnnotationTests)
... ok
test_deprecated_without_current (apache_beam.utils.annotations_test.AnnotationTests) ... ok
test_deprecated_without_since_should_fail (apache_beam.utils.annotations_test.AnnotationTests)
... ok
test_experimental_with_current (apache_beam.utils.annotations_test.AnnotationTests) ... ok
test_experimental_with_current_message (apache_beam.utils.annotations_test.AnnotationTests)
... ok
test_experimental_without_current (apache_beam.utils.annotations_test.AnnotationTests) ...
ok
test_frequency (apache_beam.utils.annotations_test.AnnotationTests)
Tests that the filter 'once' is sufficient to print once per ... ok
test_equal_objects (apache_beam.utils.counters_test.CounterNameTest) ... ok
test_hash_two_objects (apache_beam.utils.counters_test.CounterNameTest) ... ok
test_method_forwarding_not_windows (apache_beam.utils.processes_test.Exec) ... ok
test_method_forwarding_windows (apache_beam.utils.processes_test.Exec) ... ok
test_call_two_objects (apache_beam.utils.retry_test.RetryStateTest) ... ok
test_single_failure (apache_beam.utils.retry_test.RetryStateTest) ... ok
test_two_failures (apache_beam.utils.retry_test.RetryStateTest) ... ok
test_log_calls_for_permanent_failure (apache_beam.utils.retry_test.RetryTest) ... ok
test_log_calls_for_transient_failure (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_default_number_of_retries (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_explicit_decorator (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_explicit_initial_delay (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_explicit_number_of_retries (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_http_error_that_should_be_retried (apache_beam.utils.retry_test.RetryTest) ... SKIP:
google-apitools is not installed
test_with_http_error_that_should_not_be_retried (apache_beam.utils.retry_test.RetryTest) ...
SKIP: google-apitools is not installed
test_with_no_retry_decorator (apache_beam.utils.retry_test.RetryTest) ... ok
test_with_real_clock (apache_beam.utils.retry_test.RetryTest) ... ok
test_arithmetic (apache_beam.utils.timestamp_test.DurationTest) ... ok
test_of (apache_beam.utils.timestamp_test.DurationTest) ... ok
test_precision (apache_beam.utils.timestamp_test.DurationTest) ... ok
test_sort_order (apache_beam.utils.timestamp_test.DurationTest) ... ok
test_str (apache_beam.utils.timestamp_test.DurationTest) ... ok
test_arithmetic (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_of (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_precision (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_sort_order (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_str (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_utc_timestamp (apache_beam.utils.timestamp_test.TimestampTest) ... ok
test_equality (apache_beam.utils.windowed_value_test.WindowedValueTest) ... ok
test_hash (apache_beam.utils.windowed_value_test.WindowedValueTest) ... ok
test_pickle (apache_beam.utils.windowed_value_test.WindowedValueTest) ... ok
test_timestamps (apache_beam.utils.windowed_value_test.WindowedValueTest) ... ok
test_with_value (apache_beam.utils.windowed_value_test.WindowedValueTest) ... ok
test_retry_fork_graph (apache_beam.pipeline_test.DirectRunnerRetryTests) ... ok
test_element (apache_beam.pipeline_test.DoFnTest) ... ok
test_side_input_no_tag (apache_beam.pipeline_test.DoFnTest) ... ok
test_side_input_tagged (apache_beam.pipeline_test.DoFnTest) ... ok
test_timestamp_param (apache_beam.pipeline_test.DoFnTest) ... ok
test_window_param (apache_beam.pipeline_test.DoFnTest) ... ok
test_attribute_setting (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_defaults (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_dir (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_flag_parsing (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_keyword_parsing (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_view_as (apache_beam.pipeline_test.PipelineOptionsTest) ... ok
test_aggregator_empty_input (apache_beam.pipeline_test.PipelineTest) ... ok
test_apply_custom_transform (apache_beam.pipeline_test.PipelineTest) ... ok
test_create (apache_beam.pipeline_test.PipelineTest) ... ok
test_create_singleton_pcollection (apache_beam.pipeline_test.PipelineTest) ... <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/coders/typecoders.py>:134:
UserWarning: Using fallback coder for typehint: List[int].
  warnings.warn('Using fallback coder for typehint: %r.' % typehint)
ok
test_flatmap_builtin (apache_beam.pipeline_test.PipelineTest) ... ok
test_memory_usage (apache_beam.pipeline_test.PipelineTest) ... ok
test_metrics_in_source (apache_beam.pipeline_test.PipelineTest) ... ok
test_pipeline_as_context (apache_beam.pipeline_test.PipelineTest) ... <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/coders/typecoders.py>:134:
UserWarning: Using fallback coder for typehint: <type 'exceptions.ValueError'>.
  warnings.warn('Using fallback coder for typehint: %r.' % typehint)
ok
test_ptransform_overrides (apache_beam.pipeline_test.PipelineTest) ... ok
test_read (apache_beam.pipeline_test.PipelineTest) ... ok
test_reuse_cloned_custom_transform_instance (apache_beam.pipeline_test.PipelineTest) ... ok
test_reuse_custom_transform_instance (apache_beam.pipeline_test.PipelineTest) ... <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/pipeline_test.py>:210:
DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  cm.exception.message,
ok
test_transform_no_super_init (apache_beam.pipeline_test.PipelineTest) ... ok
test_visit_entire_graph (apache_beam.pipeline_test.PipelineTest) ... ok
test_pickling (apache_beam.pipeline_test.RunnerApiTest) ... ok
test_simple (apache_beam.pipeline_test.RunnerApiTest)
Tests serializing, deserializing, and running a simple pipeline. ... ok
test_assingleton_multi_element (apache_beam.pvalue_test.PValueTest) ... ok
test_pvalue_expected_arguments (apache_beam.pvalue_test.PValueTest) ... ok
test_file_checksum_matchcer_invalid_sleep_time (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
... <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/testing/pipeline_verifiers_test.py>:130:
DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  self.assertEqual(cm.exception.message,
ok
test_file_checksum_matcher_read_failed (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
... ok
test_file_checksum_matcher_service_error (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
... SKIP: google-apitools is not installed
test_file_checksum_matcher_sleep_before_verify (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
... ok
test_file_checksum_matcher_success (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
... ok
test_pipeline_state_matcher_fails (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
Test PipelineStateMatcher fails when using default expected state ... ok
test_pipeline_state_matcher_given_state (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
Test PipelineStateMatcher successes when matches given state ... ok
test_pipeline_state_matcher_success (apache_beam.testing.pipeline_verifiers_test.PipelineVerifiersTest)
Test PipelineStateMatcher successes when using default expected state ... ok
test_append_extra_options (apache_beam.testing.test_pipeline_test.TestPipelineTest) ... ok
test_append_verifier_in_extra_opt (apache_beam.testing.test_pipeline_test.TestPipelineTest)
... ok
test_create_test_pipeline_options (apache_beam.testing.test_pipeline_test.TestPipelineTest)
... ok
test_empty_option_args_parsing (apache_beam.testing.test_pipeline_test.TestPipelineTest) ...
ok
test_get_option (apache_beam.testing.test_pipeline_test.TestPipelineTest) ... ok
test_option_args_parsing (apache_beam.testing.test_pipeline_test.TestPipelineTest) ... ok
test_skip_IT (apache_beam.testing.test_pipeline_test.TestPipelineTest) ... SKIP: IT is skipped
because --test-pipeline-options is not specified
test_basic_execution (apache_beam.testing.test_stream_test.TestStreamTest) ... ok
test_basic_test_stream (apache_beam.testing.test_stream_test.TestStreamTest) ... ok
test_gbk_execution (apache_beam.testing.test_stream_test.TestStreamTest) ... ok
test_test_stream_errors (apache_beam.testing.test_stream_test.TestStreamTest) ... ok
test_delete_files_fails_with_invalid_arg (apache_beam.testing.test_utils_test.TestUtilsTest)
... ok
test_delete_files_fails_with_io_error (apache_beam.testing.test_utils_test.TestUtilsTest)
... <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/testing/test_utils_test.py>:52:
DeprecationWarning: BaseException.message has been deprecated as of Python 2.6
  error.exception.message.startswith('Delete operation failed'))
ok
test_delete_files_succeeds (apache_beam.testing.test_utils_test.TestUtilsTest) ... ok
test_assert_that_fails (apache_beam.testing.util_test.UtilTest) ... ok
test_assert_that_fails_on_empty_expected (apache_beam.testing.util_test.UtilTest) ... ok
test_assert_that_fails_on_empty_input (apache_beam.testing.util_test.UtilTest) ... ok
test_assert_that_passes (apache_beam.testing.util_test.UtilTest) ... ok

----------------------------------------------------------------------
Ran 1317 tests in 308.525s

OK (skipped=258)
py27cython runtests: commands[9] | - find apache_beam -type f -name *.c -delete
py27cython runtests: commands[10] | - find apache_beam -type f -name *.so -delete
py27cython runtests: commands[11] | - find target/build -type f -name *.c -delete
/usr/bin/find: `target/build': No such file or directory
py27cython runtests: commands[12] | - find target/build -type f -name *.so -delete
/usr/bin/find: `target/build': No such file or directory
py27gcp create: <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp>
py27gcp installdeps: nose==1.3.7
py27gcp inst: <https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/dist/apache-beam-2.2.0.dev.zip>
py27gcp installed: apache-beam==2.2.0.dev0,avro==1.8.2,crcmod==1.7,dill==0.2.6,enum34==1.1.6,funcsigs==1.0.2,futures==3.1.1,grpcio==1.6.0,httplib2==0.9.2,mock==2.0.0,nose==1.3.7,oauth2client==3.0.0,pbr==3.1.1,protobuf==3.3.0,pyasn1==0.3.5,pyasn1-modules==0.1.4,PyYAML==3.12,rsa==3.4.2,six==1.11.0,typing==3.6.2
py27gcp runtests: PYTHONHASHSEED='989343293'
py27gcp runtests: commands[0] | pip install -e .[test,gcp]
Obtaining file://<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python>
Requirement already satisfied: avro<2.0.0,>=1.8.1 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: crcmod<2.0,>=1.7 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: dill==0.2.6 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: grpcio<2.0,>=1.0 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: httplib2<0.10,>=0.8 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: mock<3.0.0,>=1.0.1 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: oauth2client<4.0.0,>=2.0.1 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: protobuf<=3.3.0,>=3.2.0 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: pyyaml<4.0.0,>=3.12 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: typing<3.7.0,>=3.6.0 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Collecting google-apitools<=0.5.11,>=0.5.10 (from apache-beam==2.2.0.dev0)
<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py>:318:
SNIMissingWarning: An HTTPS request has been made, but the SNI (Subject Name Indication) extension
to TLS is not available on this platform. This may cause the server to present an incorrect
TLS certificate, which can cause validation failures. You can upgrade to a newer version of
Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#snimissingwarning.
  SNIMissingWarning
<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/pip/_vendor/requests/packages/urllib3/util/ssl_.py>:122:
InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3
from configuring SSL appropriately and may cause certain SSL connections to fail. You can
upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/security.html#insecureplatformwarning.
  InsecurePlatformWarning
  Using cached google_apitools-0.5.11-py2-none-any.whl
Collecting proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0 (from apache-beam==2.2.0.dev0)
Collecting googledatastore==7.0.1 (from apache-beam==2.2.0.dev0)
Collecting google-cloud-pubsub==0.26.0 (from apache-beam==2.2.0.dev0)
  Using cached google_cloud_pubsub-0.26.0-py2.py3-none-any.whl
Collecting google-cloud-bigquery==0.25.0 (from apache-beam==2.2.0.dev0)
  Using cached google_cloud_bigquery-0.25.0-py2.py3-none-any.whl
Collecting pyhamcrest<2.0,>=1.9 (from apache-beam==2.2.0.dev0)
  Using cached PyHamcrest-1.9.0-py2.py3-none-any.whl
Requirement already satisfied: six>=1.9 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from apache-beam==2.2.0.dev0)
Requirement already satisfied: enum34>=1.0.4 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from grpcio<2.0,>=1.0->apache-beam==2.2.0.dev0)
Requirement already satisfied: futures>=2.2.0 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from grpcio<2.0,>=1.0->apache-beam==2.2.0.dev0)
Requirement already satisfied: pbr>=0.11 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from mock<3.0.0,>=1.0.1->apache-beam==2.2.0.dev0)
Requirement already satisfied: funcsigs>=1; python_version < "3.3" in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from mock<3.0.0,>=1.0.1->apache-beam==2.2.0.dev0)
Requirement already satisfied: pyasn1>=0.1.7 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from oauth2client<4.0.0,>=2.0.1->apache-beam==2.2.0.dev0)
Requirement already satisfied: pyasn1-modules>=0.0.5 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from oauth2client<4.0.0,>=2.0.1->apache-beam==2.2.0.dev0)
Requirement already satisfied: rsa>=3.1.4 in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from oauth2client<4.0.0,>=2.0.1->apache-beam==2.2.0.dev0)
Requirement already satisfied: setuptools in ./target/.tox/py27gcp/lib/python2.7/site-packages
(from protobuf<=3.3.0,>=3.2.0->apache-beam==2.2.0.dev0)
Collecting googleapis-common-protos<2.0dev,>=1.5.2 (from proto-google-cloud-datastore-v1<=0.90.4,>=0.90.0->apache-beam==2.2.0.dev0)
Collecting google-cloud-core<0.26dev,>=0.25.0 (from google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached google_cloud_core-0.25.0-py2.py3-none-any.whl
Collecting gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0 (from google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting google-auth-httplib2 (from google-cloud-core<0.26dev,>=0.25.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached google_auth_httplib2-0.0.2-py2.py3-none-any.whl
Collecting google-auth<2.0.0dev,>=0.4.0 (from google-cloud-core<0.26dev,>=0.25.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached google_auth-1.1.0-py2.py3-none-any.whl
Collecting grpc-google-iam-v1<0.12dev,>=0.11.1 (from gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting proto-google-cloud-pubsub-v1[grpc]<0.16dev,>=0.15.4 (from gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting google-gax<0.16dev,>=0.15.7 (from gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting cachetools>=2.0.0 (from google-auth<2.0.0dev,>=0.4.0->google-cloud-core<0.26dev,>=0.25.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached cachetools-2.0.1-py2.py3-none-any.whl
Collecting requests<3.0dev,>=2.13.0 (from google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached requests-2.18.4-py2.py3-none-any.whl
Collecting ply==3.8 (from google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting future<0.17dev,>=0.16.0 (from google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
Collecting urllib3<1.23,>=1.21.1 (from requests<3.0dev,>=2.13.0->google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached urllib3-1.22-py2.py3-none-any.whl
Collecting certifi>=2017.4.17 (from requests<3.0dev,>=2.13.0->google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached certifi-2017.7.27.1-py2.py3-none-any.whl
Collecting chardet<3.1.0,>=3.0.2 (from requests<3.0dev,>=2.13.0->google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached chardet-3.0.4-py2.py3-none-any.whl
Collecting idna<2.7,>=2.5 (from requests<3.0dev,>=2.13.0->google-gax<0.16dev,>=0.15.7->gapic-google-cloud-pubsub-v1<0.16dev,>=0.15.0->google-cloud-pubsub==0.26.0->apache-beam==2.2.0.dev0)
  Using cached idna-2.6-py2.py3-none-any.whl
Installing collected packages: google-apitools, googleapis-common-protos, proto-google-cloud-datastore-v1,
googledatastore, cachetools, google-auth, google-auth-httplib2, google-cloud-core, grpc-google-iam-v1,
proto-google-cloud-pubsub-v1, urllib3, certifi, chardet, idna, requests, ply, future, google-gax,
gapic-google-cloud-pubsub-v1, google-cloud-pubsub, google-cloud-bigquery, pyhamcrest, apache-beam
  Found existing installation: apache-beam 2.2.0.dev0
    Uninstalling apache-beam-2.2.0.dev0:
      Successfully uninstalled apache-beam-2.2.0.dev0
  Running setup.py develop for apache-beam
Successfully installed apache-beam cachetools-2.0.1 certifi-2017.7.27.1 chardet-3.0.4 future-0.16.0
gapic-google-cloud-pubsub-v1-0.15.4 google-apitools-0.5.11 google-auth-1.1.0 google-auth-httplib2-0.0.2
google-cloud-bigquery-0.25.0 google-cloud-core-0.25.0 google-cloud-pubsub-0.26.0 google-gax-0.15.14
googleapis-common-protos-1.5.2 googledatastore-7.0.1 grpc-google-iam-v1-0.11.3 idna-2.6 ply-3.8
proto-google-cloud-datastore-v1-0.90.4 proto-google-cloud-pubsub-v1-0.15.4 pyhamcrest-1.9.0
requests-2.18.4 urllib3-1.22
py27gcp runtests: commands[1] | python --version
Python 2.7.6
py27gcp runtests: commands[2] | - find apache_beam -type f -name *.pyc -delete
py27gcp runtests: commands[3] | python apache_beam/examples/complete/autocomplete_test.py
Traceback (most recent call last):
  File "apache_beam/examples/complete/autocomplete_test.py", line 22, in <module>
    import apache_beam as beam
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/__init__.py",>
line 87, in <module>
    from apache_beam import io
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/__init__.py",>
line 21, in <module>
    from apache_beam.io.avroio import *
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/avroio.py",>
line 56, in <module>
    from apache_beam.io import filebasedsink
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/filebasedsink.py",>
line 32, in <module>
    from apache_beam.io.filesystems import FileSystems
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/filesystems.py",>
line 30, in <module>
    from apache_beam.io.gcp.gcsfilesystem import GCSFileSystem
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/gcp/gcsfilesystem.py",>
line 27, in <module>
    from apache_beam.io.gcp import gcsio
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/io/gcp/gcsio.py",>
line 37, in <module>
    from apache_beam.utils import retry
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/apache_beam/utils/retry.py",>
line 40, in <module>
    from apitools.base.py.exceptions import HttpError
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/apitools/base/py/__init__.py",>
line 21, in <module>
    from apitools.base.py.base_api import *
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/apitools/base/py/base_api.py",>
line 31, in <module>
    from apitools.base.protorpclite import message_types
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/apitools/base/protorpclite/message_types.py",>
line 25, in <module>
    from apitools.base.protorpclite import messages
  File "<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/local/lib/python2.7/site-packages/apitools/base/protorpclite/messages.py",>
line 1165, in <module>
    class Field(six.with_metaclass(_FieldMeta, object)):
TypeError: Error when calling the metaclass bases
    metaclass conflict: the metaclass of a derived class must be a (non-strict) subclass of
the metaclasses of all its bases
ERROR: InvocationError: '<https://builds.apache.org/job/beam_PostCommit_Python_Verify/ws/sdks/python/target/.tox/py27gcp/bin/python>
apache_beam/examples/complete/autocomplete_test.py'
___________________________________ summary ____________________________________
ERROR:   docs: commands failed
  lint: commands succeeded
  py27: commands succeeded
  py27cython: commands succeeded
ERROR:   py27gcp: commands failed
Build step 'Execute shell' marked build as failure
Not sending mail to unregistered user echauchot@gmail.com+jbonofre@apache.org

Mime
View raw message